cURL
curl --request GET \
--url https://api.puretalk.ai/api/public/ai-assistants/chatbot-config/{assistant_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.puretalk.ai/api/public/ai-assistants/chatbot-config/{assistant_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.puretalk.ai/api/public/ai-assistants/chatbot-config/{assistant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "Chatbot config created successfully",
"err": false,
"results": {
"chatbot_logo": "<string>",
"chatbot_accent_color": "#000000",
"chatbot_faq": [
{
"answer": "The answer to the question",
"question": "The question"
}
],
"chatbot_whitelisted_domains": [
"<string>"
],
"name": "<string>",
"voice": {
"voice_id": "<string>",
"name": "<string>",
"avatar": "<string>",
"gender": "<string>",
"demo_audio_url": "<string>",
"is_cloned": true,
"language": "<string>",
"description": "<string>"
}
}
}{
"err": true,
"msg": "<string>"
}AI Assistants
Get Chatbot Config
Returns the chatbot config for the AI Assistant based on the ID supplied
GET
/
public
/
ai-assistants
/
chatbot-config
/
{assistant_id}
cURL
Authorizations
Authorization header containing API key. You can find your API key in the dashboard under 'API Keys'.
Path Parameters
ID of AI Assistant to return chatbot config
Was this page helpful?
⌘I